org.apache.commons.imaging.formats.tiff.constants

## Class MicrosoftHdPhotoTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.MicrosoftHdPhotoTagConstants

-     public final class MicrosoftHdPhotoTagConstants
      extends Object

  Microsoft's HDP/WDP file format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<TagInfo>` | `ALL_MICROSOFT_HD_PHOTO_TAGS`
    `static int` | `ALPHA_DATA_DISCARD_VALUE_FLEXBITS_DISCARDED`
    `static int` | `ALPHA_DATA_DISCARD_VALUE_FULL_RESOLUTION`
    `static int` | `ALPHA_DATA_DISCARD_VALUE_HIGH_PASS_FREQUENCY_DATA_DISCARDED`
    `static int` | `ALPHA_DATA_DISCARD_VALUE_HIGHPASS_AND_LOW_PASS_FREQUENCY_DATA_DISCARDED`
    `static TagInfoLong` | `EXIF_TAG_ALPHA_BYTE_COUNT`
    `static TagInfoByte` | `EXIF_TAG_ALPHA_DATA_DISCARD`
    `static TagInfoLong` | `EXIF_TAG_ALPHA_OFFSET`
    `static TagInfoFloat` | `EXIF_TAG_HEIGHT_RESOLUTION`
    `static TagInfoLong` | `EXIF_TAG_IMAGE_BYTE_COUNT`
    `static TagInfoByte` | `EXIF_TAG_IMAGE_DATA_DISCARD`
    `static TagInfoLong` | `EXIF_TAG_IMAGE_HEIGHT`
    `static TagInfoLong` | `EXIF_TAG_IMAGE_OFFSET`
    `static TagInfoLong` | `EXIF_TAG_IMAGE_TYPE`
    `static TagInfoLong` | `EXIF_TAG_IMAGE_WIDTH`
    `static TagInfoUndefineds` | `EXIF_TAG_PADDING`
    `static TagInfoBytes` | `EXIF_TAG_PIXEL_FORMAT`
    `static TagInfoLong` | `EXIF_TAG_TRANSFOMATION`
    `static TagInfoLong` | `EXIF_TAG_UNCOMPRESSED`
    `static TagInfoFloat` | `EXIF_TAG_WIDTH_RESOLUTION`
    `static int` | `IMAGE_DATA_DISCARD_VALUE_FLEXBITS_DISCARDED`
    `static int` | `IMAGE_DATA_DISCARD_VALUE_FULL_RESOLUTION`
    `static int` | `IMAGE_DATA_DISCARD_VALUE_HIGH_PASS_FREQUENCY_DATA_DISCARDED`
    `static int` | `IMAGE_DATA_DISCARD_VALUE_HIGHPASS_AND_LOW_PASS_FREQUENCY_DATA_DISCARDED`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_112_BIT_6_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_112_BIT_7_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_128_BIT_7_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_128_BIT_8_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_128_BIT_PRGBA_FLOAT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_128_BIT_RGB_FLOAT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_128_BIT_RGBA_FIXED_POINT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_128_BIT_RGBA_FLOAT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_144_BIT_8_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_16_BIT_BGR555`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_16_BIT_BGR565`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_16_BIT_GRAY`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_16_BIT_GRAY_HALF`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_24_BIT_3_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_24_BIT_BGR`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_24_BIT_RGB`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_3_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_4_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_BGR`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_BGR101010`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_BGRA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_CMYK`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_GRAY_FIXED_POINT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_GRAY_FLOAT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_PBGRA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_32_BIT_RGBE`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_40_BIT_4_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_40_BIT_5_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_40_BIT_CMYK_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_48_BIT_3_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_48_BIT_5_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_48_BIT_6_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_48_BIT_RGB`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_48_BIT_RGB_FIXED_POINT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_48_BIT_RGB_HALF`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_56_BIT_6_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_56_BIT_7_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_3_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_4_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_7_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_8_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_CMYK`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_PRGBA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_RGBA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_RGBA_FIXED_POINT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_64_BIT_RGBA_HALF`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_72_BIT_8_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_8_BIT_GRAY`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_80_BIT_4_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_80_BIT_5_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_80_BIT_CMYK_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_96_BIT_5_CHANNELS_ALPHA`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_96_BIT_6_CHANNELS`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_96_BIT_RGB_FIXED_POINT`
    `static BinaryConstant` | `PIXEL_FORMAT_VALUE_BLACK_AND_WHITE`
    `static int` | `TRANSFOMATION_VALUE_HORIZONTAL_NORMAL`
    `static int` | `TRANSFOMATION_VALUE_MIRROR_HORIZONTAL`
    `static int` | `TRANSFOMATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_270_CW`
    `static int` | `TRANSFOMATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_90_CW`
    `static int` | `TRANSFOMATION_VALUE_MIRROR_VERTICAL`
    `static int` | `TRANSFOMATION_VALUE_ROTATE_180`
    `static int` | `TRANSFOMATION_VALUE_ROTATE_270_CW`
    `static int` | `TRANSFOMATION_VALUE_ROTATE_90_CW`
    `static int` | `UNCOMPRESSED_VALUE_NO`
    `static int` | `UNCOMPRESSED_VALUE_YES`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXIF_TAG_PIXEL_FORMAT

          public static final TagInfoBytes EXIF_TAG_PIXEL_FORMAT

    - #### PIXEL_FORMAT_VALUE_BLACK_AND_WHITE

          public static final BinaryConstant PIXEL_FORMAT_VALUE_BLACK_AND_WHITE

    - #### PIXEL_FORMAT_VALUE_8_BIT_GRAY

          public static final BinaryConstant PIXEL_FORMAT_VALUE_8_BIT_GRAY

    - #### PIXEL_FORMAT_VALUE_16_BIT_BGR555

          public static final BinaryConstant PIXEL_FORMAT_VALUE_16_BIT_BGR555

    - #### PIXEL_FORMAT_VALUE_16_BIT_BGR565

          public static final BinaryConstant PIXEL_FORMAT_VALUE_16_BIT_BGR565

    - #### PIXEL_FORMAT_VALUE_16_BIT_GRAY

          public static final BinaryConstant PIXEL_FORMAT_VALUE_16_BIT_GRAY

    - #### PIXEL_FORMAT_VALUE_24_BIT_BGR

          public static final BinaryConstant PIXEL_FORMAT_VALUE_24_BIT_BGR

    - #### PIXEL_FORMAT_VALUE_24_BIT_RGB

          public static final BinaryConstant PIXEL_FORMAT_VALUE_24_BIT_RGB

    - #### PIXEL_FORMAT_VALUE_32_BIT_BGR

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_BGR

    - #### PIXEL_FORMAT_VALUE_32_BIT_BGRA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_BGRA

    - #### PIXEL_FORMAT_VALUE_32_BIT_PBGRA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_PBGRA

    - #### PIXEL_FORMAT_VALUE_32_BIT_GRAY_FLOAT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_GRAY_FLOAT

    - #### PIXEL_FORMAT_VALUE_48_BIT_RGB_FIXED_POINT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_48_BIT_RGB_FIXED_POINT

    - #### PIXEL_FORMAT_VALUE_32_BIT_BGR101010

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_BGR101010

    - #### PIXEL_FORMAT_VALUE_48_BIT_RGB

          public static final BinaryConstant PIXEL_FORMAT_VALUE_48_BIT_RGB

    - #### PIXEL_FORMAT_VALUE_64_BIT_RGBA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_RGBA

    - #### PIXEL_FORMAT_VALUE_64_BIT_PRGBA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_PRGBA

    - #### PIXEL_FORMAT_VALUE_96_BIT_RGB_FIXED_POINT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_96_BIT_RGB_FIXED_POINT

    - #### PIXEL_FORMAT_VALUE_128_BIT_RGBA_FLOAT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_128_BIT_RGBA_FLOAT

    - #### PIXEL_FORMAT_VALUE_128_BIT_PRGBA_FLOAT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_128_BIT_PRGBA_FLOAT

    - #### PIXEL_FORMAT_VALUE_128_BIT_RGB_FLOAT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_128_BIT_RGB_FLOAT

    - #### PIXEL_FORMAT_VALUE_32_BIT_CMYK

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_CMYK

    - #### PIXEL_FORMAT_VALUE_64_BIT_RGBA_FIXED_POINT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_RGBA_FIXED_POINT

    - #### PIXEL_FORMAT_VALUE_128_BIT_RGBA_FIXED_POINT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_128_BIT_RGBA_FIXED_POINT

    - #### PIXEL_FORMAT_VALUE_64_BIT_CMYK

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_CMYK

    - #### PIXEL_FORMAT_VALUE_24_BIT_3_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_24_BIT_3_CHANNELS

    - #### PIXEL_FORMAT_VALUE_32_BIT_4_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_4_CHANNELS

    - #### PIXEL_FORMAT_VALUE_40_BIT_5_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_40_BIT_5_CHANNELS

    - #### PIXEL_FORMAT_VALUE_48_BIT_6_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_48_BIT_6_CHANNELS

    - #### PIXEL_FORMAT_VALUE_56_BIT_7_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_56_BIT_7_CHANNELS

    - #### PIXEL_FORMAT_VALUE_64_BIT_8_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_8_CHANNELS

    - #### PIXEL_FORMAT_VALUE_48_BIT_3_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_48_BIT_3_CHANNELS

    - #### PIXEL_FORMAT_VALUE_64_BIT_4_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_4_CHANNELS

    - #### PIXEL_FORMAT_VALUE_80_BIT_5_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_80_BIT_5_CHANNELS

    - #### PIXEL_FORMAT_VALUE_96_BIT_6_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_96_BIT_6_CHANNELS

    - #### PIXEL_FORMAT_VALUE_112_BIT_7_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_112_BIT_7_CHANNELS

    - #### PIXEL_FORMAT_VALUE_128_BIT_8_CHANNELS

          public static final BinaryConstant PIXEL_FORMAT_VALUE_128_BIT_8_CHANNELS

    - #### PIXEL_FORMAT_VALUE_40_BIT_CMYK_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_40_BIT_CMYK_ALPHA

    - #### PIXEL_FORMAT_VALUE_80_BIT_CMYK_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_80_BIT_CMYK_ALPHA

    - #### PIXEL_FORMAT_VALUE_32_BIT_3_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_3_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_40_BIT_4_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_40_BIT_4_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_48_BIT_5_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_48_BIT_5_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_56_BIT_6_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_56_BIT_6_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_64_BIT_7_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_7_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_72_BIT_8_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_72_BIT_8_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_64_BIT_3_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_3_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_80_BIT_4_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_80_BIT_4_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_96_BIT_5_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_96_BIT_5_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_112_BIT_6_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_112_BIT_6_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_128_BIT_7_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_128_BIT_7_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_144_BIT_8_CHANNELS_ALPHA

          public static final BinaryConstant PIXEL_FORMAT_VALUE_144_BIT_8_CHANNELS_ALPHA

    - #### PIXEL_FORMAT_VALUE_64_BIT_RGBA_HALF

          public static final BinaryConstant PIXEL_FORMAT_VALUE_64_BIT_RGBA_HALF

    - #### PIXEL_FORMAT_VALUE_48_BIT_RGB_HALF

          public static final BinaryConstant PIXEL_FORMAT_VALUE_48_BIT_RGB_HALF

    - #### PIXEL_FORMAT_VALUE_32_BIT_RGBE

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_RGBE

    - #### PIXEL_FORMAT_VALUE_16_BIT_GRAY_HALF

          public static final BinaryConstant PIXEL_FORMAT_VALUE_16_BIT_GRAY_HALF

    - #### PIXEL_FORMAT_VALUE_32_BIT_GRAY_FIXED_POINT

          public static final BinaryConstant PIXEL_FORMAT_VALUE_32_BIT_GRAY_FIXED_POINT

    - #### EXIF_TAG_TRANSFOMATION

          public static final TagInfoLong EXIF_TAG_TRANSFOMATION

    - #### TRANSFOMATION_VALUE_HORIZONTAL_NORMAL

          public static final int TRANSFOMATION_VALUE_HORIZONTAL_NORMAL

      See Also:
        Constant Field Values

    - #### TRANSFOMATION_VALUE_MIRROR_VERTICAL

          public static final int TRANSFOMATION_VALUE_MIRROR_VERTICAL

      See Also:
        Constant Field Values

    - #### TRANSFOMATION_VALUE_MIRROR_HORIZONTAL

          public static final int TRANSFOMATION_VALUE_MIRROR_HORIZONTAL

      See Also:
        Constant Field Values

    - #### TRANSFOMATION_VALUE_ROTATE_180

          public static final int TRANSFOMATION_VALUE_ROTATE_180

      See Also:
        Constant Field Values

    - #### TRANSFOMATION_VALUE_ROTATE_90_CW

          public static final int TRANSFOMATION_VALUE_ROTATE_90_CW

      See Also:
        Constant Field Values

    - #### TRANSFOMATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_90_CW

          public static final int TRANSFOMATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_90_CW

      See Also:
        Constant Field Values

    - #### TRANSFOMATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_270_CW

          public static final int TRANSFOMATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_270_CW

      See Also:
        Constant Field Values

    - #### TRANSFOMATION_VALUE_ROTATE_270_CW

          public static final int TRANSFOMATION_VALUE_ROTATE_270_CW

      See Also:
        Constant Field Values

    - #### EXIF_TAG_UNCOMPRESSED

          public static final TagInfoLong EXIF_TAG_UNCOMPRESSED

    - #### UNCOMPRESSED_VALUE_NO

          public static final int UNCOMPRESSED_VALUE_NO

      See Also:
        Constant Field Values

    - #### UNCOMPRESSED_VALUE_YES

          public static final int UNCOMPRESSED_VALUE_YES

      See Also:
        Constant Field Values

    - #### EXIF_TAG_IMAGE_TYPE

          public static final TagInfoLong EXIF_TAG_IMAGE_TYPE

    - #### EXIF_TAG_IMAGE_WIDTH

          public static final TagInfoLong EXIF_TAG_IMAGE_WIDTH

    - #### EXIF_TAG_IMAGE_HEIGHT

          public static final TagInfoLong EXIF_TAG_IMAGE_HEIGHT

    - #### EXIF_TAG_WIDTH_RESOLUTION

          public static final TagInfoFloat EXIF_TAG_WIDTH_RESOLUTION

    - #### EXIF_TAG_HEIGHT_RESOLUTION

          public static final TagInfoFloat EXIF_TAG_HEIGHT_RESOLUTION

    - #### EXIF_TAG_IMAGE_OFFSET

          public static final TagInfoLong EXIF_TAG_IMAGE_OFFSET

    - #### EXIF_TAG_IMAGE_BYTE_COUNT

          public static final TagInfoLong EXIF_TAG_IMAGE_BYTE_COUNT

    - #### EXIF_TAG_ALPHA_OFFSET

          public static final TagInfoLong EXIF_TAG_ALPHA_OFFSET

    - #### EXIF_TAG_ALPHA_BYTE_COUNT

          public static final TagInfoLong EXIF_TAG_ALPHA_BYTE_COUNT

    - #### EXIF_TAG_IMAGE_DATA_DISCARD

          public static final TagInfoByte EXIF_TAG_IMAGE_DATA_DISCARD

    - #### IMAGE_DATA_DISCARD_VALUE_FULL_RESOLUTION

          public static final int IMAGE_DATA_DISCARD_VALUE_FULL_RESOLUTION

      See Also:
        Constant Field Values

    - #### IMAGE_DATA_DISCARD_VALUE_FLEXBITS_DISCARDED

          public static final int IMAGE_DATA_DISCARD_VALUE_FLEXBITS_DISCARDED

      See Also:
        Constant Field Values

    - #### IMAGE_DATA_DISCARD_VALUE_HIGH_PASS_FREQUENCY_DATA_DISCARDED

          public static final int IMAGE_DATA_DISCARD_VALUE_HIGH_PASS_FREQUENCY_DATA_DISCARDED

      See Also:
        Constant Field Values

    - #### IMAGE_DATA_DISCARD_VALUE_HIGHPASS_AND_LOW_PASS_FREQUENCY_DATA_DISCARDED

          public static final int IMAGE_DATA_DISCARD_VALUE_HIGHPASS_AND_LOW_PASS_FREQUENCY_DATA_DISCARDED

      See Also:
        Constant Field Values

    - #### EXIF_TAG_ALPHA_DATA_DISCARD

          public static final TagInfoByte EXIF_TAG_ALPHA_DATA_DISCARD

    - #### ALPHA_DATA_DISCARD_VALUE_FULL_RESOLUTION

          public static final int ALPHA_DATA_DISCARD_VALUE_FULL_RESOLUTION

      See Also:
        Constant Field Values

    - #### ALPHA_DATA_DISCARD_VALUE_FLEXBITS_DISCARDED

          public static final int ALPHA_DATA_DISCARD_VALUE_FLEXBITS_DISCARDED

      See Also:
        Constant Field Values

    - #### ALPHA_DATA_DISCARD_VALUE_HIGH_PASS_FREQUENCY_DATA_DISCARDED

          public static final int ALPHA_DATA_DISCARD_VALUE_HIGH_PASS_FREQUENCY_DATA_DISCARDED

      See Also:
        Constant Field Values

    - #### ALPHA_DATA_DISCARD_VALUE_HIGHPASS_AND_LOW_PASS_FREQUENCY_DATA_DISCARDED

          public static final int ALPHA_DATA_DISCARD_VALUE_HIGHPASS_AND_LOW_PASS_FREQUENCY_DATA_DISCARDED

      See Also:
        Constant Field Values

    - #### EXIF_TAG_PADDING

          public static final TagInfoUndefineds EXIF_TAG_PADDING

    - #### ALL_MICROSOFT_HD_PHOTO_TAGS

          public static final List<TagInfo> ALL_MICROSOFT_HD_PHOTO_TAGS

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.